title1 CENSUS OF CANADA 1981 - BST: CT-LONG FORM- CTD81B20
title2 SAS commands by Sushil Kumar, UT/DLS 09/2003, using DAIS ddims Publisher
LIBNAME LIBRARY 'S:/datalibrary/cc81/bsts/ct/';
LIBNAME OUT 'S:/datalibrary/cc81/bsts/ct/OUTPUTS/\';
PROC FORMAT LIBRARY=LIBRARY ;
  Value  V1_F
    0.00='Canada'
    10.00='Newfoundland'
    11.00='Prince Edward Island'
    12.00='Nova Scotia'
    13.00='New Brunswick'
    24.00='Quebec'
    35.00='Ontario'
    46.00='Manitoba'
    47.00='Saskatchewan'
    48.00='Alberta'
    59.00='British Columbia'
    60.00='Yukon'
    61.00='Northwest Territories'
  ;
  Value  V5_F
    0.00='Not a CMA/CA'
    1.00='CMA'
    2.00='CA'
  ;
  Value  V6_F
    0.00='Not a CMA/CA'
    1.00='1,000,000 & over'
    2.00='500,000 - 999,999'
    3.00='250,000 - 499,999'
    4.00='100,000 - 249,999'
    5.00='50,000 - 99,999'
    6.00='25,000 - 49,999'
    7.00='10,000 - 24,999'
  ;
  Value  V8_F
    1.00='Includes IR or part of IR'
  ;
  Value  V9_F
    1.00='Canada'
    2.00='Provinces'
    3.00='Remainder'
    10.00='CMA/CA'
    12.00='Prov. CT subtotal'
    13.00='Census tracts'
    15.00='Prov. census tracts'
    16.00='Census divisions'
    17.00='Census subdivisions'
    18.00='Federal electoral districts'
    19.00='Enumeration areas'
  ;
RUN;
DATA  OUT.CTD81B20;
 INFILE 'S:/datalibrary/cc81/bsts/ct/cnd.ctd81b20' LRECL = 404;
 INPUT
  RP 1-2  CMACA 3-5  CTPN 6-12  CT 13-16  CASL 17-17  CASZ 18-18  GEONAME 19-49  HGIMPIND 50-50  RECTYPE 51-52  ADMIN 53-53
  V11 54-62  V12 63-71  V13 72-80  V14 81-89  V15 90-98  V16 99-107  V17 108-116  V18 117-125  V19 126-134  V20 135-143
  V21 144-152  V22 153-161  V23 162-170  V24 171-179  V25 180-188  V26 189-197  V27 198-206  V28 207-215  V29 216-224  V30 225-233
  V31 234-242  V32 243-251  V33 252-260  V34 261-269  V35 270-278  V36 279-287  V37 288-296  V38 297-305  V39 306-314  V40 315-323
  V41 324-332  V42 333-341  V43 342-350  V44 351-359  V45 360-368  V46 369-377  V47 378-386  V48 387-395  V49 396-404 ;

  FORMAT  RP V1_F. ;
  FORMAT  CASL V5_F. ;
  FORMAT  CASZ V6_F. ;
  FORMAT  HGIMPIND V8_F. ;
  FORMAT  RECTYPE V9_F. ;
  LABEL
    RP='Region and province'
    CMACA='Census Metropolitan Area/Census Agglomeration'
    CTPN='Census tract/Provincial census tract name'
    CT='Census tract/Provincial census tract code'
    CASL='CMA/CA selector'
    CASZ='CMA/CA population size group'
    GEONAME='Name of the geographic area'
    HGIMPIND='Indian Reserve: High imputation area indicator'
    RECTYPE='Record type'
    ADMIN='This variable not to be used'
    V11='Population 5 yrs & over: Total'
    V12='Population 5 yrs & over: Males'
    V13='Population 5 yrs & over: Females'
    V14='Non-movers: Total'
    V15='Non-movers: Males'
    V16='Non-movers: Females'
    V17='Non-migrants: Total'
    V18='Non-migrants: Males'
    V19='Non-migrants: Females'
    V20='Migrants from same CMA/CA: Total'
    V21='Migrants from same CMA/CA: Males'
    V22='Migrants from same CMA/CA: Females'
    V23='Migrants from same prov, diff. CMA/CA: Total'
    V24='Migrants from same prov, diff. CMA/CA: Males'
    V25='Migrants from same prov, diff. CMA/CA: Females'
    V26='Migrants from same prov, non CMA/CA: Total'
    V27='Migrants from same prov, non CMA/CA: Males'
    V28='Migrants from same prov, non CMA/CA: Females'
    V29='Migrants from same prov: Total'
    V30='Migrants from same prov: Males'
    V31='Migrants from same prov: Females'
    V32='Migrants from diff. prov CMA/CA: Total '
    V33='Migrants from diff. prov CMA/CA: Males'
    V34='Migrants from diff. prov CMA/CA: Females'
    V35='Migrants from diff. prov non CMA/CA: Total'
    V36='Migrants from diff. prov non CMA/CA: Males'
    V37='Migrants from diff. prov non CMA/CA: Females'
    V38='Migrants from diff. prov: Total '
    V39='Migrants from diff. prov: Males'
    V40='Migrants from diff. prov: Females'
    V41='Migrants from outside Canada: Total'
    V42='Migrants from outside Canada: Males'
    V43='Migrants from outside Canada: Females'
    V44='Migrants: Total'
    V45='Migrants: Males'
    V46='Migrants: Females'
    V47='Movers: Total'
    V48='Movers: Males'
    V49='Movers: Females'
  ;
  ;
RUN;
